/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/
http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/Updates the settings that a bot has for a specific locale.
Path Parameters
The unique identifier of the bot that contains the locale.
The version of the bot that contains the locale to be updated. The version can only be the <code>DRAFT</code> version.
The identifier of the language and locale to update. The string must match one of the supported locales. For more information, see <a href="https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html">Supported languages</a>.
Body Params
The new description of the locale.
Defines settings for using an Amazon Polly voice to communicate with a user.
The new confidence threshold where Amazon Lex inserts the <code>AMAZON.FallbackIntent</code> and <code>AMAZON.KendraSearchIntent</code> intents in the list of possible intents for an utterance.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'http://models-v2-lex.{region}.amazonaws.com/bots/{botId}/botversions/{botVersion}/botlocales/{localeId}/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}